#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

puts " スーパーのレジ
買ったものの値段を入れてね。 (100 円→ 100 と入力しよう )"
memo = 0

while true
  print " 値段は? (終わりたい時は q を押してね)"
  nedan = gets.chomp

  if nedan == "q"
    break
  end

  memo += nedan.to_i
  printf("今の合計は %d 円だよ \n",memo)
end
printf("今回の合計は %d 円です。お買い上げありがとうございました! \n",memo)
